SDL_sscanf(3)

NAME
SDL_sscanf - This works exactly like sscanf() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_sscanf(const char *text, const char *fmt, ...);

DESCRIPTION
Scan a string, matching a format string, converting each '%' item and storing it to pointers provided through variable arguments.

FUNCTION PARAMETERS

text
    the string to scan. Must not be NULL.

fmt a printf-style format string. Must not be NULL.

... a list of pointers to values to be filled in with scanned items.

RETURN VALUE
Returns the number of items that matched the format string.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.